Bug 1365738 - Disperse volume, the deleted file show abnormality in the trashcan,and can't be deleted
Summary: Disperse volume, the deleted file show abnormality in the trashcan,and can't ...
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: GlusterFS
Classification: Community
Component: trash-xlator
Version: mainline
Hardware: x86_64
OS: Linux
medium
urgent
Target Milestone: ---
Assignee: Jiffin
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-10 06:24 UTC by Kano
Modified: 2019-06-17 10:37 UTC (History)
3 users (show)

Fixed In Version: glusterfs-6.x
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-17 10:37:32 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)
bug (6.15 KB, image/png)
2016-08-10 06:24 UTC, Kano
no flags Details

Description Kano 2016-08-10 06:24:52 UTC
Created attachment 1189471 [details]
bug

Description of problem:

Only disperse volume has this bug, the deleted files show abnormality in the trashcan,as attributes and time ,and the file can't be deleted

Version-Release number of selected component (if applicable):


How reproducible: 100%


Steps to Reproduce:

1.Create a disperse volume,use three nodes, and open the transhcan function;

2.Mount the disperse volume to a client,and cope some files to the mount point;

3.Delete the files in the mount point

4.Turn into the transhcan(.transhcan) directory, look the attributes and time of the deleted files

Actual results:

①The attributes and time of the deleted files show abnormality,and the file can't be deleted from the transhcan again!


Expected results:


Additional info:

Comment 1 Muthu Vigneshwaran 2016-08-23 13:04:21 UTC
Hi,

    'GlusterFS-3.6 is nearing its End-Of-Life, only important security bugs still make a chance on getting fixed. Moving this to the mainline 'version'. If this needs to get fixed in 3.7 or 3.8 this bug should get cloned.'

Comment 2 Amar Tumballi 2019-06-17 10:37:32 UTC
This is not seen in latest releases, please upgrade to glusterfs-6.x, and let us know how it goes for you.


Note You need to log in before you can comment on or make changes to this bug.